Contorno a BSpline

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft WireToBSpline and the translation is 13% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Previous: Draft Downgrade.svg Downgrade

Draft WireToBSpline.svg {{{Name/es}}}

Ubicación en el Menú
Boceto → Contorno a BSpline
Entornos de trabajo
Boceto, Arquitectura
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Ninguno

Descripción

Esta herramienta convierte Contornos en BSplines, y viceversa.

Draft Wire2BSpline example.jpg

Converting a Draft Wire to a Draft BSpline, and a closed Draft BSpline to a closed Draft Wire

Utilización

  1. Selecciona un contorno o una BSpline
  2. Presiona el botón Draft WireToBSpline.png Contorno a BSpline

Notes

  • The command may result in a closed, self-intersecting Draft Wire or Draft BSpline with a face. Such an object will not display properly in the 3D view. Its DatosMake Face property, or its DatosClosed property, must be set to false.

Scripting

Programación

No disponible, pero crear un nuevo objeto con los puntos de otro es sencillo, por ejemplo:

  • if the active object is a wire
import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(1000, 1000, 0)
p2 = App.Vector(2000, 1000, 0)
p3 = App.Vector(2500, -1000, 0)
p4 = App.Vector(3500, -500, 0)

base_wire = Draft.make_wire([p1, p2, p3, p4])
base_spline = Draft.make_bspline([-p1, -1.3*p2, -1.2*p3, -2.1*p4])

points1 = base_wire.Points
spline_from_wire = Draft.make_bspline(points1)

points2 = base_spline.Points
wire_from_spline = Draft.make_wire(points2)

doc.recompute()


Arrow-left.svg Previous: Draft Downgrade.svg Downgrade